Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class PipelineBuilderImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.PipelineBuilderImpl

All Implemented Interfaces:
  PipelineBuilder

    public class PipelineBuilderImpl

extends java.lang.Object
implements PipelineBuilder

Constructor Summary
`PipelineBuilderImpl(PlasticProxyFactory proxyFactory, DefaultImplementationBuilder defaultImplementationBuilder)`

Method Summary
`
`<S,F> S`
` | `build(org.slf4j.Logger logger, java.lang.Class<S> serviceInterface, java.lang.Class<F> filterInterface, java.util.List<F> filters)` Creates a pipeline from just the filters.
`
`<S,F> S`
` | `build(org.slf4j.Logger logger, java.lang.Class<S> serviceInterface, java.lang.Class<F> filterInterface, java.util.List<F> filters, S terminator)` Creates a pipeline from the filters and a terminator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipelineBuilderImpl

    public PipelineBuilderImpl(@Builtin
                               PlasticProxyFactory proxyFactory,
                               DefaultImplementationBuilder defaultImplementationBuilder)

Method Detail

### build

    public <S,F> S build(org.slf4j.Logger logger,
                         java.lang.Class<S> serviceInterface,
                         java.lang.Class<F> filterInterface,
                         java.util.List<F> filters)

  Description copied from interface: `PipelineBuilder`
  Creates a pipeline from just the filters. A `default implementation` is created as the terminator.

  Specified by:
    `build` in interface `PipelineBuilder`
  Type Parameters:
    `S` - service type
    `F` - filter type
  Parameters:
    `logger` - logs any warnings generated when constructing the pipeline
    `serviceInterface` - defines the interface for the pipeline
    `filterInterface` - the filter interface, contributed into the pipeline
    `filters` - sorted list of filters
  Returns:
    an object that encapsulates the filters and the default implementation

### build

    public <S,F> S build(org.slf4j.Logger logger,
                         java.lang.Class<S> serviceInterface,
                         java.lang.Class<F> filterInterface,
                         java.util.List<F> filters,
                         S terminator)

  Description copied from interface: `PipelineBuilder`
  Creates a pipeline from the filters and a terminator.

  Specified by:
    `build` in interface `PipelineBuilder`
  Type Parameters:
    `S` - service type
    `F` - filter type
  Parameters:
    `logger` - logs any warnings generated when constructing the pipeline
    `serviceInterface` - defines the interface for the pipeline
    `filterInterface` - the filter interface, contributed into the pipeline
    `filters` - sorted list of filters
    `terminator` - end of the pipeline
  Returns:
    an object that encapsulates the filters and the terminator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.